Subject: [bug#30742] doc: Explain what we mean by root in binary installation.

From: julien lepiller <[email-masked]>
Date: Wed, 07 Mar 2018 17:39:43 +0100

Hi, since a user got confused and tried to run the instructions with 
sudo (which doesn't work), here is a slight improvement for the 
documentation that adds a hint as to what we mean by "as root".

From fb1f66634a2aec4840438cd8c95b2c11061ce085 Mon Sep 17 00:00:00 2001
From: Julien Lepiller <[email-masked]>
Date: Wed, 7 Mar 2018 17:39:04 +0100
Subject: [PATCH] doc: Explain what we mean by root in binary installation.

* doc/guix.texi (Binary Installation): Add explicit instructions to become root.
---
 doc/guix.texi | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index abec0c087..d3a7908f9 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -443,7 +443,8 @@ and rerun the @code{gpg --verify} command.
 @c end authentication part
 
 @item
-As @code{root}, run:
+Now, you need to become the @code{root} user.  Depending on your distribution,
+you may have to run @code{su -} or @code{sudo -i}.  As @code{root}, run:
 
 @example
 # cd /tmp
-- 
2.16.2